Album: CLUBSTUCK
Date: October 13, 2023
Date Added: September 29, 2025
URLs:
- https://galvanisticyoungboy.bandcamp.com/album/clubstuck
Artists:
- nocturnalJewel
Cover Artists:
- Homestuck
Default Track Cover Artists:
- Homestuck
Art Tags:
- John
- Jade
- Breath
Cover Art File Extension: png
Track Art File Extension: png
Color: '#07e1ff'
Groups:
- Fandom
Commentary: |-
    <i>nocturnalJewel:</i> ([Bandcamp about blurb](https://galvanisticyoungboy.bandcamp.com/album/clubstuck))
    You like Homestuck? You like Jersey club? You likely didn't answer "yes" to both, but here's an EP of both.
    All cover art contains at least a little bit of spoilers.
Crediting Sources: |-
    <i>nocturnalJewel:</i> ([Bandcamp credits blurb](https://galvanisticyoungboy.bandcamp.com/album/clubstuck))
    All of the art is from Homestuck, drawn by Andrew Hussie.
    Original tracks are in the track credits.
---
Track: '"SHOWDOWN? MORE LIKE SHOWTIME!" [@nocturnalJewel edit] #HOM3STUCK #JerseyClub'
Duration: 2:07
Art Tags:
- John
- John's home
Sampled Tracks:
- track:showtime-original-mix
URLs:
- https://galvanisticyoungboy.bandcamp.com/track/showdown-more-like-showtime-nocturnaljewel-edit-hom3stuck-jerseyclub
Referencing Sources: |-
    <i>nocturnalJewel:</i> ([Bandcamp credits blurb](https://galvanisticyoungboy.bandcamp.com/track/showdown-more-like-showtime-nocturnaljewel-edit-hom3stuck-jerseyclub))
    [[track:showtime-original-mix]], by [[artist:malcolm-brown]]
---
Track: "man, don't put me on speaker crab. #Jerseyclub"
Duration: 1:07
Art Tags:
- Karkat
- Trolls' meteor
- Time
Sampled Tracks:
- Speaker Crab
URLs:
- https://galvanisticyoungboy.bandcamp.com/track/man-dont-put-me-on-speaker-crab-jerseyclub
Referencing Sources: |-
    <i>nocturnalJewel:</i> ([Bandcamp credits blurb](https://galvanisticyoungboy.bandcamp.com/track/man-dont-put-me-on-speaker-crab-jerseyclub))
    Voices provided by [[artist:k7vin]]; https://www.youtube.com/watch?v=vWheTEdNGxI
---
Track: sburb aint know whatll hit em @nocturnalJewel 180bpm
Duration: 1:46
Art Tags:
- John
Sampled Tracks:
- track:sburban-countdown
URLs:
- https://galvanisticyoungboy.bandcamp.com/track/sburb-aint-know-whatll-hit-em-nocturnaljewel-180bpm
Referencing Sources: |-
    <i>nocturnalJewel:</i> ([Bandcamp credits blurb](https://galvanisticyoungboy.bandcamp.com/track/sburb-aint-know-whatll-hit-em-nocturnaljewel-180bpm))
    [[track:sburban-countdown]], by [[artist:mark-j-hadley]] and [[artist:michael-guy-bowman]]
---
Track: '#J3RS3YCLUB'
Duration: 2:15
Art Tags:
- Terezi
- Scalemates
Sampled Tracks:
- The Lemonsnout Turnabout
URLs:
- https://galvanisticyoungboy.bandcamp.com/track/j3rs3yclub
Referencing Sources: |-
    <i>nocturnalJewel:</i> ([Bandcamp credits blurb](https://galvanisticyoungboy.bandcamp.com/track/j3rs3yclub))
    [[track:the-lemonsnout-turnabout]], by [[artist:toby-fox]]
---
Track: '@nocturnalJewel x booty bouncin in the elevator #jerseyclub'
Duration: 2:06
Art Tags:
- Gamzee
- Jane's home
Sampled Tracks:
- track:elevatorstuck
URLs:
- https://galvanisticyoungboy.bandcamp.com/track/nocturnaljewel-x-booty-bouncin-in-the-elevator-jerseyclub
Referencing Sources: |-
    <i>nocturnalJewel:</i> ([Bandcamp credits blurb](https://galvanisticyoungboy.bandcamp.com/track/nocturnaljewel-x-booty-bouncin-in-the-elevator-jerseyclub))
    [[track:elevatorstuck]], by [[artist:tensei]]
---
Track: 'CON AIR NATIONAL ANTHEM #homestuck #JERSEYCLUB @nocturnalJewel'
Duration: 1:42
Art Tags:
- Gamzee
- Gamzee's hive
Sampled Tracks:
- track:miracles
URLs:
- https://galvanisticyoungboy.bandcamp.com/track/con-air-national-anthem-homestuck-jerseyclub-nocturnaljewel
Referencing Sources: |-
    <i>nocturnalJewel:</i> ([Bandcamp credits blurb](https://galvanisticyoungboy.bandcamp.com/track/con-air-national-anthem-homestuck-jerseyclub-nocturnaljewel))
    [[track:miracles]], by [[artist:toby-fox]]
